with GNATCOM.Dispinterface;

package MSHTML.ISVGPathSegCurvetoCubicRel_Object is

   type ISVGPathSegCurvetoCubicRel_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_x
     (This : ISVGPathSegCurvetoCubicRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_x
     (This : ISVGPathSegCurvetoCubicRel_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_y
     (This : ISVGPathSegCurvetoCubicRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_y
     (This : ISVGPathSegCurvetoCubicRel_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_x1
     (This : ISVGPathSegCurvetoCubicRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_x1
     (This : ISVGPathSegCurvetoCubicRel_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_y1
     (This : ISVGPathSegCurvetoCubicRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_y1
     (This : ISVGPathSegCurvetoCubicRel_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_x2
     (This : ISVGPathSegCurvetoCubicRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_x2
     (This : ISVGPathSegCurvetoCubicRel_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_y2
     (This : ISVGPathSegCurvetoCubicRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_y2
     (This : ISVGPathSegCurvetoCubicRel_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.ISVGPathSegCurvetoCubicRel_Object;

